Class | SOAP::EncodingStyle::ASPDotNetHandler::SOAPUnknown
In: | soap/encodingstyle/aspDotNetHandler.rb
Parent: | SOAPTemporalObject

### Methods

as_nil as_string as_struct new

### Public Class methods

new(handler, elename)

[Source]

    # File soap/encodingstyle/aspDotNetHandler.rb, line 86
        def initialize(handler, elename)
          super()
          @handler = handler
          @elename = elename
        end

### Public Instance methods

as_nil()

[Source]

    # File soap/encodingstyle/aspDotNetHandler.rb, line 107
        def as_nil
          o = SOAPNil.decode(@elename)
          o.parent = @parent
          @handler.decode_parent(@parent, o)
          o
        end

as_string()

[Source]

    # File soap/encodingstyle/aspDotNetHandler.rb, line 100
        def as_string
          o = SOAPString.decode(@elename)
          o.parent = @parent
          @handler.decode_parent(@parent, o)
          o
        end

as_struct()

[Source]

    # File soap/encodingstyle/aspDotNetHandler.rb, line 92
        def as_struct
          o = SOAPStruct.decode(@elename, XSD::AnyTypeName)
          o.parent = @parent
          o.type.name = @name
          @handler.decode_parent(@parent, o)
          o
        end

[Validate]